Subject: Re: perl and problem with in-place edits (just deletes files) on Cygwin 1.3.10 on Win98
From: "Gerrit P. Haase" <[email-masked]>
To: "Max" <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Jun 2002 12:52:59 +0200

Max schrieb:

> Ran this command the other day in a directory with C files

> perl -p -i -e 's/string1/string2/g' *c

> Got a long list of

> Can't do inplace edit on name.c: File exists.

> At the end of it, all the .c files were deleted .. I assume this is a
> symlink issue .. that perl is calling
> some system file linking function that isn't implemented properly or
> implemented at all?

> Output from perl -v:

> This is perl, v5.6.1 built for cygwin-multi

> I know that with the Win32 port it will not allow you to do an inplace edit
> without specifying a backup
> extension after -i, e.g.

> perl -p -i.bak -e 's/string1/string2/g' glob

> I assumed that since the Cygwin perl didn't give this warning it would do
> the right thing ;) ... I am very thankful for
> shareware undelete software now!

> Anybody know what isn't in place for this to work correctly?

It is fixed in perl-5.8, try a release candidate, point setup.exe to:

http://koeln.convey.de/cywgin/   or:
http://today.clemson.edu/cygwin/

NOTE: The RC2 tarball is linked against the cygwin-1.3.11 dll, RC1
is linked against cygwin-1.3.10, both Perl RC's are linked against
BDB4 which is also available at these sites.

I will upload a second release of perl-5.8-RC2 as soon as cygwin
1.3.11-4 is available (I expect this at the weekend), maybe there
will be a third perl-release-candidate too.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/